Subject: RE: force to use SSL when accessing certain directory/url?

From: "Zhang, Li" <[email-masked]>
Date: Mon, 14 Jan 2002 11:12:34 -0700

Thanks guys. Looks like both "rewrite" and "set up document root for https
virtual host" can do the work.

I'll try "rewrite" first because it may not be good to expose a J2EE web
application's root directory.

Li

-----Original Message-----
From: Glen Mehn [mailto:[email-masked]]
Sent: Monday, January 14, 2002 10:48 AM
To: [email-masked]
Subject: Re: force to use SSL when accessing certain directory/url?

you could also setup your ssl virtualhost with an different DocumentRoot,
only available by https (port 443) and leave your https pages there.

On Mon, Jan 14, 2002 at 11:52:06AM -0000, Simon Ritchie wrote:
> I guess that you want to refuse access to a page by HTTP, ftp etc, so that
> it can only be accessed via HTTPS.  Is that correct?  You can do that with
> the apache rewrite mechanism.  The rewrite guide shows how.
> 
> Simon
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Zhang, Li
> > Sent: 07 January 2002 19:37
> > To: [email-masked]'
> > Subject: force to use SSL when accessing certain directory/url?
> >
> >
> > Hi mod-ssl guru:
> >
> > It is easy to do this in IIS but for Apache/mod_ssl how can I force the
> > browser to use https when a user is trying to access a url via http? I'm
> > using Apache 1.3.22 + mod_ssl.
> >
> > For example:
> >
> > the user is trying to access: http://myhost/secure/index.html
> > The server forces to use https://myhost/secure/index.html
> >
> > /secure is pointing to c:/mysecureweb
> >
> > I appreciate if you can give me a sample config file.
> >
> > Thanks.
> >
> > Li
> > ______________________________________________________________________
> > Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> > User Support Mailing List                      [email-masked]
> > Automated List Manager                            [email-masked]
> >
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]

-- 
Glen S Mehn
Lead Systems Administrator		SquareTrade, Inc
[email-masked]	Building Trust in Transactions (sm)
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]